//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
#include <System.NetEncoding.hpp>
#include "RichView.hpp"
#include "RVEdit.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include "RVStrFuncs.hpp"
#include "RVTypes.hpp"
#include "RVGrHandler.hpp"
//---------------------------------------------------------------------------
/* This class will be used to store information about one picture while
    saving to HTML */
class THTMLImageItem : public TCollectionItem
{
public:
       TMemoryStream* Stream;
       TRVUnicodeString Name, ContentType;
       __fastcall virtual THTMLImageItem(TCollection* Collection);
      __fastcall virtual ~THTMLImageItem();
};
//---------------------------------------------------------------------------
/* Collections of the classes above */
class THTMLImagesCollection : public TCollection
{
private:
    THTMLImageItem* __fastcall GetItem(int Index);
    void __fastcall SetItem(int Index, const THTMLImageItem* Value);
public:
    __fastcall THTMLImagesCollection();
    __property THTMLImageItem* Items[int Index] = {read=GetItem, write=SetItem};
};
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TImage *Image1;
        TRichViewEdit *RichViewEdit1;
        TButton *Button1;
        TRVStyle *RVStyle1;
        TSaveDialog *SaveDialog1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall RichViewEdit1SaveImage2(TCustomRichView *Sender,
          TGraphic *Graphic, TRVSaveFormat SaveFormat,
          const TRVUnicodeString Path, const TRVUnicodeString ImagePrefix,
          int &ImageSaveNo, TRVUnicodeString &Location, bool &DoDefault);
        void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
        THTMLImagesCollection* HTMLImages;
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
